Bug 23643 - Backport request: kernel-4.18.12-1.mga6
Summary: Backport request: kernel-4.18.12-1.mga6
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Backports (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: validated_backport
Depends on:
Blocks:
 
Reported: 2018-10-06 12:21 CEST by Thomas Backlund
Modified: 2018-10-14 09:37 CEST (History)
3 users (show)

See Also:
Source RPM: kernel
CVE:
Status comment:


Attachments

Description Thomas Backlund 2018-10-06 12:21:06 CEST
Here comes a backport of kernel 4.18.12 to add support for hw not supporte by the 4.14 longterm kernel. Atleast people using newer Amd and Intel Gpus wants theese for added/improved performance and so on...
(and some just wants "latest" kernels :) )


Note that we dont provide prebuilt kmods in backports.

This is the same as currently in cauldron so its already being tested, and I also run x86_64 server and desktop kernels on mga6 here...


So just check that it installs, boots and works... 
 

SRPMS:
kernel-4.18.12-1.mga6.src.rpm


i586:
kernel-desktop-4.18.12-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-4.18.12-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-4.18.12-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-latest-4.18.12-1.mga6.i586.rpm
kernel-desktop586-latest-4.18.12-1.mga6.i586.rpm
kernel-desktop-devel-4.18.12-1.mga6-1-1.mga6.i586.rpm
kernel-desktop-devel-latest-4.18.12-1.mga6.i586.rpm
kernel-desktop-latest-4.18.12-1.mga6.i586.rpm
kernel-doc-4.18.12-1.mga6.noarch.rpm
kernel-server-4.18.12-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-4.18.12-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-latest-4.18.12-1.mga6.i586.rpm
kernel-server-latest-4.18.12-1.mga6.i586.rpm
kernel-source-4.18.12-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.18.12-1.mga6.noarch.rpm


x86_64;
kernel-desktop-4.18.12-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-4.18.12-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-latest-4.18.12-1.mga6.x86_64.rpm
kernel-desktop-latest-4.18.12-1.mga6.x86_64.rpm
kernel-doc-4.18.12-1.mga6.noarch.rpm
kernel-server-4.18.12-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-4.18.12-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-latest-4.18.12-1.mga6.x86_64.rpm
kernel-server-latest-4.18.12-1.mga6.x86_64.rpm
kernel-source-4.18.12-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.18.12-1.mga6.noarch.rpm
Comment 1 Herman Viaene 2018-10-07 10:17:12 CEST
I don't get it: in the  tessting repo I find 4.14.74 as test packages, no trace of 4.18.12 ????

CC: (none) => herman.viaene

Comment 2 Herman Viaene 2018-10-07 10:19:51 CEST
Hmmmmm, forgot to enable backports, sorry.
Comment 3 Herman Viaene 2018-10-07 10:40:56 CEST
MGA6-64 Plasma on Lenovo B50
No installation issues.
Boots OK, makes Wifi connection, can open pictures and documents. Should be OK.

Whiteboard: (none) => MGA6-64-OK

Comment 4 Len Lawrence 2018-10-07 16:01:46 CEST
Intel Core i7-4790 (-HT-MCP-) 
NVIDIA GM204 [GeForce GTX 970]
Mobo: MSI model: Z97-G43 (MS-7816)

Installed desktop and server kernels, rebuilding kmods on the fly.
Removed one of the older kernels.
Ran drakboot --boot to reorganize grub2 menu.
Rebooted to 4.18.12-desktop-1.mga6.

Common applications run fine, stress tests completed, networking OK.  NFS shares mounted automatically from fstab. virtualbox and celestia work.

CC: (none) => tarazed25

Comment 5 Rolf Pedersen 2018-10-07 18:13:44 CEST
I've got a newish Skylake HTPC that is pretty much limited to running kodi, qbittorrent, browsers for some surveillance cameras and streaming, occasionally kaffeine for OTA ATSC tv recordings.  I installed the kernel and kernel-devel and no noticeable problems for a day or so.  Thanks.

[rolf@z170i ~]$ uname -r
4.18.12-desktop-1.mga6

[rolf@z170i ~]$ inxi -MC
Machine:   Type: Desktop Mobo: ASUSTeK model: Z170I PRO GAMING v: Rev X.0x 
           serial: <root required> UEFI [Legacy]: American Megatrends v: 3805 
           date: 05/16/2018 
CPU:       Topology: Quad Core model: Intel Core i5-6500 bits: 64 type: MCP 
           L2 cache: 6144 KiB 
           Speed: 3373 MHz min/max: 800/3600 MHz Core speeds (MHz): 1: 3327 2: 3331 3: 3344 
           4: 3392
 
[rolf@z170i ~]$ uptime
 09:00:37 up 1 day,  2:11,  1 user,  load average: 2.26, 2.50, 2.53

[rolf@z170i ~]$ top
top - 09:01:03 up 1 day,  2:11,  1 user,  load average: 2.41, 2.50, 2.53
Tasks: 231 total,   2 running, 169 sleeping,   0 stopped,   0 zombie
%Cpu(s): 30.1 us,  3.7 sy,  0.9 ni, 64.6 id,  0.0 wa,  0.0 hi,  0.7 si,  0.0 st
KiB Mem : 16292124 total, 10276440 free,  1604692 used,  4410992 buff/cache
KiB Swap:  1310716 total,  1310716 free,        0 used. 13611172 avail Mem 

  PID USER      PR  NI    VIRT    RES    SHR S  %CPU %MEM     TIME+ COMMAND                      
 6958 rolf      20   0  685112  43164  13812 S  63.5  0.3 572:06.39 cam2ip                       
25346 rolf      20   0 3419760 338944  74856 S  41.9  2.1 111:49.78 kodi.bin                     
 6586 rolf      20   0 1141836 159780  77260 S  21.6  1.0  25:29.99 chrome                       
10325 rolf      20   0 1159380 202380 120728 S   3.7  1.2  39:54.54 chrome                       
10367 rolf      20   0  514424  84732  60440 S   3.0  0.5  30:13.07 chrome                       
 4932 root      20   0  680628  36212  24032 S   2.7  0.2  68:35.84 Xorg                         
 6906 rolf      20   0 3023868  67368  52576 R   1.3  0.4  14:03.95 kwin_x11                     
 6935 rolf       9 -11 1336676  13768  10572 S   0.7  0.1   8:48.57 pulseaudio                   
 7312 rolf      20   0 2512736 125832  59828 S   0.7  0.8  12:21.10 qbittorrent                  
10742 root      20   0       0      0      0 D   0.3  0.0   0:01.82 kworker/u8:1+ev              
13001 root      20   0       0      0      0 D   0.3  0.0   0:00.12 kworker/u8:4+ev              
    1 root      20   0  182392   5320   3744 S   0.0  0.0   0:05.05 systemd                      
    2 root      20   0       0      0      0 S   0.0  0.0   0:00.06 kthreadd                     
    3 root       0 -20       0      0      0 I   0.0  0.0   0:00.00 rcu_gp                       
    4 root       0 -20       0      0      0 I   0.0  0.0   0:00.00 rcu_par_gp                   
    6 root       0 -20       0      0      0 I   0.0  0.0   0:00.00 kworker/0:0H-kb              
    8 root       0 -20       0      0      0 I   0.0  0.0   0:00.00 mm_percpu_wq                 
    9 root      20   0       0      0      0 S   0.0  0.0   0:07.08 ksoftirqd/0                  
[rolf@z170i ~]$

CC: (none) => rolfpedersen

Comment 6 Len Lawrence 2018-10-07 22:35:28 CEST
Running OK on Skylake i9 system with GTX1080Ti, nvidia 410.57.
Christian Lohmaier 2018-10-08 12:55:35 CEST

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=23102

Comment 7 Thomas Backlund 2018-10-14 09:37:32 CEST


Enough tests for this as it's only a backport and new ones are coming...

validating and moving

Resolution: (none) => FIXED
Keywords: (none) => validated_backport
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.